CONDOR_VACATE(1)

NAME
condor_vacate - HTCondor Manual

Vacate jobs that are running on the specified hosts.

SYNOPSIS

condor_vacate [-help | -version]

condor_vacate [-graceful | -fast] [-debug] [-pool hostname[:portnumber]] [-name hostname | -addr "<a.b.c.d:port>" | -constraint expression | -all]

DESCRIPTION

condor_vacate causes HTCondor to force jobs to vacate from a given set of machines. The job(s) remain in the submitting machine's job queue.

Given the (default) -graceful option, jobs are killed and HTCondor restarts the job from the beginning somewhere else. condor_vacate has no effect on a machine with no HTCondor job currently running.

There is generally no need for the user or administrator to explicitly run condor_vacate. HTCondor takes care of jobs in this way automatically following the policies given in configuration files.

WARNING: Do not confuse this tool with condor_vacate_job. condor_vacate_job is intended for use by job owners to vacate their specific jobs. condor_vacate is intended for use by machine owners/administrators to vacate machines.

OPTIONS

-help
    Display usage information.

-version
    Display version information.

-graceful
    Give the job a chance to shut down cleanly, then soft-kill it. (Default)

-fast
    Hard-kill jobs instead of giving them time to shut down cleanly.

-debug
    Causes debugging information to be sent to stderr, based on the value of the configuration variable TOOL_DEBUG.

-pool hostname[:portnumber]
    Specify a pool by giving the central manager's host name and an optional port number.

-name hostname
    Send the command to a machine identified by hostname.

-addr "<a.b.c.d:port>"
    Send the command to a machine's master located at "<a.b.c.d:port>".

-constraint expression
    Apply this command only to machines matching the given ClassAd expression.

-all
    Send the command to all machines in the pool.

EXIT STATUS

0 - Success

1 - Failure

EXAMPLES

Vacate two named machines:

$ condor_vacate robin cardinal

Vacate a machine in a different pool:

$ condor_vacate -pool condor.cae.wisc.edu -name cae17

Vacate all machines matching a constraint:

$ condor_vacate -constraint 'Machine == "exec-*.example.com"'

SEE ALSO

condor_vacate_job, condor_off, condor_on, condor_restart

AVAILABILITY

Linux, MacOS, Windows

AUTHOR
HTCondor Team

COPYRIGHT
1990-2026, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.